import 'reflect-metadata';
import { initializeDeepLinkHandling } from './app/deep-links';
import { configureAppFlags } from './app/flags';
import { registerAppLifecycle } from './app/lifecycle';

configureAppFlags();

if (initializeDeepLinkHandling()) {
  registerAppLifecycle();
}
